# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3. 
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann <sascha.teichmann@intevation.de>
#

from ConfigParser import ConfigParser

import os, datetime

#from lib.httpserver import DEFAULT_PORT

class Config(object):

    def __init__(self, base, filename):

        self.parser = ConfigParser()

        default_path = os.path.join(
            base,
            "resources",
            "formedtree.xml")

        swapfile = "mpuls_%s_%s.xml.swp" % (datetime.datetime.now().strftime('%Y%m%d%H%M'), os.getpid())
        homedir  = os.path.expanduser('~')

        self.parser.add_section('formed')
        self.parser.set('formed', 'path', default_path)

        self.parser.add_section('common')
        self.parser.set('common', 'swapfile', swapfile)
        self.parser.set('common', 'homedir', homedir)

        # self.parser.add_section('httpd')
        # self.parser.set('httpd', 'port', str(DEFAULT_PORT))

        if os.path.exists(filename):
            self.parser.read(filename)

    def get_formed_path(self):
        return self.parser.get('formed', 'path')

    def get_swapfile(self):
        return self.parser.get('common', 'swapfile')

    def get_homedir(self):
        return self.parser.get('common', 'homedir')


    # def get_port(self):
    #    return int(self.parser.get('httpd', 'port'))

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
