# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3. 
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann <sascha.teichmann@intevation.de>
#

from string import Template

HTML_TEMPLATE = Template( \
u'''<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
  "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <title>mpuls WASKO Offline-Klient</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="content-style-type" content="text/css">
    <meta http-equiv="expires" content="0">
    <style type="text/css" media="all">
        $ALL_CSS
    </style>
    <style type="text/css" media="screen">
        $SCREEN_CSS
    </style>
    <style type="text/css" media="screen">
        $COLOR_CSS
    </style>
    <script type="text/javascript">
        $JAVA_SCRIPT_JQUERY
    </script>
    <script type="text/javascript">
        $JAVA_SCRIPT_PYTHON
    </script>
  </head>
  <body>
    <div id="main">
        <div class="left">
            <div id="navigation" class="navigation">
                $NAVIGATION
            </div>
        </div>
        <div id="content" class="right">
            $FORM_HEADER
            $FORMULAR_ERRORS
            <div class="waska_form">
                $WASKA_FORM
            </div>
            <div class="clearer"></div>
        </div>
    </div>
  </body>
</html>''')

HELP_TEMPLATE = Template( \
u'''<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de">
    <head>
        <title>Hilfe</title>
    </head>
    <body>
        <div>
            <strong>$KIND: $TITLE</strong>
        </div>
        <div>
            $CONTENT
        </div
    </body>
</html>''')

EMPTY_HTML = \
'''<html>
    <body>
        <center>
            <h2>mpuls WASKO Offline-Klient</h2>
        </center>
    </body>
</html>'''


# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
