#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3. 
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann (sascha.teichmann@intevation.de)
#
from distutils.core import setup

import py2exe
import glob
import os

import PyQt4

def dirname():
    try:
        return os.environ['KDEROOT']
    except KeyError:
        return os.path.dirname(PyQt4.__file__)

def all_codecs():
    return glob.glob(os.path.join(
        dirname(),
        "plugins", "codecs") + os.sep + "*.dll")

def all_imageformats():
    return glob.glob(os.path.join(
        dirname(),
        "plugins", "imageformats") + os.sep + "*.dll")

setup(
    windows = [ {
        'script': 'offline.py',
        'icon_resources': [(1, 'offline/static/images/icons/app.ico')]
    } ],
    options = {
        'py2exe': {
            'includes': ['sip', 'PyQt4.QtNetwork']
        }
    },
    data_files =[
        (".",                   ["LICENSE"]),
        ("resources",           glob.glob("offline/resources/*.*")),
        ("static",              glob.glob("offline/static/*.*")),
        ("static/js",           glob.glob("offline/static/js/*.*")),
        ("static/images",       glob.glob("offline/static/images/*.*")),
        ("static/images/icons", glob.glob("offline/static/images/icons/*.*")),
        ("static/styles",       glob.glob("offline/static/styles/*.*")),
        ("codecs",              all_codecs()),
        ("imageformats",        all_imageformats())
    ]
)
# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
